package com.ruoyi.warehouse.check.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检check-item对象 t_warehouse_check_items
 * 
 * @author dongyongwei
 * @date 2021-07-21
 */
public class TWarehouseCheckItems extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long fId;

    /** 巡检主表id */
    @Excel(name = "巡检主表id")
    private Long fCheckFid;

    /** 仓库id */
    @Excel(name = "仓库id")
    private Long fWarehouseFid;

    /** 仓库名称 */
    private String fWarehouseName;

    /** 巡检人ID */
    private Long fInspectorId;

    public Long getfInspectorId() {
        return fInspectorId;
    }

    public void setfInspectorId(Long fInspectorId) {
        this.fInspectorId = fInspectorId;
    }

    /** 巡检人姓名 */
    private String fInspectorName;

    public String getfWarehouseName() {
        return fWarehouseName;
    }

    public void setfWarehouseName(String fWarehouseName) {
        this.fWarehouseName = fWarehouseName;
    }

    public String getfInspectorName() {
        return fInspectorName;
    }

    public void setfInspectorName(String fInspectorName) {
        this.fInspectorName = fInspectorName;
    }

    public String getfCreateByName() {
        return fCreateByName;
    }

    public void setfCreateByName(String fCreateByName) {
        this.fCreateByName = fCreateByName;
    }

    public String getfUpdateByName() {
        return fUpdateByName;
    }

    public void setfUpdateByName(String fUpdateByName) {
        this.fUpdateByName = fUpdateByName;
    }

    /** 制单人姓名 */
    private String fCreateByName;

    /** 更新人姓名 */
    private String fUpdateByName;

    /** 巡检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fInspectionDatetime;

    /** 最新巡检人id */
    @Excel(name = "最新巡检人id")
    private Long fInspectorIdLast;

    /** 最新巡检人姓名 */
    private String fInspectorNameLast;

    public String getfInspectorNameLast() {
        return fInspectorNameLast;
    }

    public void setfInspectorNameLast(String fInspectorNameLast) {
        this.fInspectorNameLast = fInspectorNameLast;
    }

    /** 最新巡检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最新巡检日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fInspectionDatetimeLast;

    /** 巡检备注 */
    @Excel(name = "巡检备注")
    private String fRemark;

    /** 制单人 */
    @Excel(name = "制单人")
    private Long fCreateBy;

    /** 制单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "制单日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fCreateTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private Long fUpdateBy;

    /** 最新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fUpdateTime;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfCheckFid(Long fCheckFid) 
    {
        this.fCheckFid = fCheckFid;
    }

    public Long getfCheckFid() 
    {
        return fCheckFid;
    }
    public void setfWarehouseFid(Long fWarehouseFid) 
    {
        this.fWarehouseFid = fWarehouseFid;
    }

    public Long getfWarehouseFid() 
    {
        return fWarehouseFid;
    }
    public void setfInspectionDatetime(Date fInspectionDatetime) 
    {
        this.fInspectionDatetime = fInspectionDatetime;
    }

    public Date getfInspectionDatetime() 
    {
        return fInspectionDatetime;
    }
    public void setfInspectorIdLast(Long fInspectorIdLast) 
    {
        this.fInspectorIdLast = fInspectorIdLast;
    }

    public Long getfInspectorIdLast() 
    {
        return fInspectorIdLast;
    }
    public void setfInspectionDatetimeLast(Date fInspectionDatetimeLast) 
    {
        this.fInspectionDatetimeLast = fInspectionDatetimeLast;
    }

    public Date getfInspectionDatetimeLast() 
    {
        return fInspectionDatetimeLast;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fCheckFid", getfCheckFid())
            .append("fWarehouseFid", getfWarehouseFid())
            .append("fInspectionDatetime", getfInspectionDatetime())
            .append("fInspectorIdLast", getfInspectorIdLast())
            .append("fInspectionDatetimeLast", getfInspectionDatetimeLast())
            .append("fRemark", getfRemark())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDelFlag", getfDelFlag())
            .toString();
    }
}
